Package com.ocient.jdbc.proto

## Class PlanProtocol.OrderedGatherOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.OrderedGatherOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OrderedGatherOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.OrderedGatherOperator

    public static final class PlanProtocol.OrderedGatherOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>
    implements PlanProtocol.OrderedGatherOperatorOrBuilder

    Same as gather operator except that the streams received from each
    node are already sorted and we need to merge the sorted streams

Protobuf type `xg.db.sqlPlans.OrderedGatherOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.OrderedGatherOperator.Builder` `addAllDirections​(Iterable<? extends Boolean> values)` The directions for each sort col - true = ascending
`PlanProtocol.OrderedGatherOperator.Builder` `addAllSortKeys​(Iterable<String> values)` The sort columns - order matters
`PlanProtocol.OrderedGatherOperator.Builder` `addDirections​(boolean value)` The directions for each sort col - true = ascending
`PlanProtocol.OrderedGatherOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.OrderedGatherOperator.Builder` `addSortKeys​(String value)` The sort columns - order matters
`PlanProtocol.OrderedGatherOperator.Builder` `addSortKeysBytes​(com.google.protobuf.ByteString value)` The sort columns - order matters
`PlanProtocol.OrderedGatherOperator` `build()`
`PlanProtocol.OrderedGatherOperator` `buildPartial()`
`PlanProtocol.OrderedGatherOperator.Builder` `clear()`
`PlanProtocol.OrderedGatherOperator.Builder` `clearDirections()` The directions for each sort col - true = ascending
`PlanProtocol.OrderedGatherOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.OrderedGatherOperator.Builder` `clearLevel()` `.xg.db.sqlPlans.GatherLevel level = 3;`
`PlanProtocol.OrderedGatherOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.OrderedGatherOperator.Builder` `clearSortKeys()` The sort columns - order matters
`PlanProtocol.OrderedGatherOperator.Builder` `clone()`
`PlanProtocol.OrderedGatherOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getDirections​(int index)` The directions for each sort col - true = ascending
`int` `getDirectionsCount()` The directions for each sort col - true = ascending
`List<Boolean>` `getDirectionsList()` The directions for each sort col - true = ascending
`PlanProtocol.GatherLevel` `getLevel()` `.xg.db.sqlPlans.GatherLevel level = 3;`
`int` `getLevelValue()` `.xg.db.sqlPlans.GatherLevel level = 3;`
`String` `getSortKeys​(int index)` The sort columns - order matters
`com.google.protobuf.ByteString` `getSortKeysBytes​(int index)` The sort columns - order matters
`int` `getSortKeysCount()` The sort columns - order matters
`com.google.protobuf.ProtocolStringList` `getSortKeysList()` The sort columns - order matters
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.OrderedGatherOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.OrderedGatherOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.OrderedGatherOperator.Builder` `mergeFrom​(PlanProtocol.OrderedGatherOperator other)`
`PlanProtocol.OrderedGatherOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.OrderedGatherOperator.Builder` `setDirections​(int index, boolean value)` The directions for each sort col - true = ascending
`PlanProtocol.OrderedGatherOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.OrderedGatherOperator.Builder` `setLevel​(PlanProtocol.GatherLevel value)` `.xg.db.sqlPlans.GatherLevel level = 3;`
`PlanProtocol.OrderedGatherOperator.Builder` `setLevelValue​(int value)` `.xg.db.sqlPlans.GatherLevel level = 3;`
`PlanProtocol.OrderedGatherOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.OrderedGatherOperator.Builder` `setSortKeys​(int index, String value)` The sort columns - order matters
`PlanProtocol.OrderedGatherOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### clear

    public PlanProtocol.OrderedGatherOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.OrderedGatherOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.OrderedGatherOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.OrderedGatherOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.OrderedGatherOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### setField

    public PlanProtocol.OrderedGatherOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### clearField

    public PlanProtocol.OrderedGatherOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### clearOneof

    public PlanProtocol.OrderedGatherOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.OrderedGatherOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       int index,
                                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.OrderedGatherOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OrderedGatherOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OrderedGatherOperator.Builder mergeFrom​(PlanProtocol.OrderedGatherOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OrderedGatherOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OrderedGatherOperator.Builder>`
Throws:
  `IOException`

#### getSortKeysList

    public com.google.protobuf.ProtocolStringList getSortKeysList()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysList` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  A list containing the sortKeys.

#### getSortKeysCount

    public int getSortKeysCount()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysCount` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  The count of sortKeys.

#### getSortKeys

    public String getSortKeys​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeys` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The sortKeys at the given index.

#### getSortKeysBytes

    public com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Specified by:
  `getSortKeysBytes` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the sortKeys at the given index.

#### setSortKeys

    public PlanProtocol.OrderedGatherOperator.Builder setSortKeys​(int index,
                                                                  String value)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The sortKeys to set.
Returns:
  This builder for chaining.

#### addSortKeys

    public PlanProtocol.OrderedGatherOperator.Builder addSortKeys​(String value)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `value` - The sortKeys to add.
Returns:
  This builder for chaining.

#### addAllSortKeys

    public PlanProtocol.OrderedGatherOperator.Builder addAllSortKeys​(Iterable<String> values)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `values` - The sortKeys to add.
Returns:
  This builder for chaining.

#### clearSortKeys

    public PlanProtocol.OrderedGatherOperator.Builder clearSortKeys()

    The sort columns - order matters

`repeated string sortKeys = 1;`

Returns:
  This builder for chaining.

#### addSortKeysBytes

    public PlanProtocol.OrderedGatherOperator.Builder addSortKeysBytes​(com.google.protobuf.ByteString value)

    The sort columns - order matters

`repeated string sortKeys = 1;`

Parameters:
  `value` - The bytes of the sortKeys to add.
Returns:
  This builder for chaining.

#### getDirectionsList

    public List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirectionsList` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  A list containing the directions.

#### getDirectionsCount

    public int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirectionsCount` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  The count of directions.

#### getDirections

    public boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Specified by:
  `getDirections` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The directions at the given index.

#### setDirections

    public PlanProtocol.OrderedGatherOperator.Builder setDirections​(int index,
                                                                    boolean value)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The directions to set.
Returns:
  This builder for chaining.

#### addDirections

    public PlanProtocol.OrderedGatherOperator.Builder addDirections​(boolean value)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Parameters:
  `value` - The directions to add.
Returns:
  This builder for chaining.

#### addAllDirections

    public PlanProtocol.OrderedGatherOperator.Builder addAllDirections​(Iterable<? extends Boolean> values)

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Parameters:
  `values` - The directions to add.
Returns:
  This builder for chaining.

#### clearDirections

    public PlanProtocol.OrderedGatherOperator.Builder clearDirections()

    The directions for each sort col - true = ascending

`repeated bool directions = 2;`

Returns:
  This builder for chaining.

#### getLevelValue

    public int getLevelValue()

`.xg.db.sqlPlans.GatherLevel level = 3;`

Specified by:
  `getLevelValue` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  The enum numeric value on the wire for level.

#### setLevelValue

    public PlanProtocol.OrderedGatherOperator.Builder setLevelValue​(int value)

`.xg.db.sqlPlans.GatherLevel level = 3;`

Parameters:
  `value` - The enum numeric value on the wire for level to set.
Returns:
  This builder for chaining.

#### getLevel

    public PlanProtocol.GatherLevel getLevel()

`.xg.db.sqlPlans.GatherLevel level = 3;`

Specified by:
  `getLevel` in interface `PlanProtocol.OrderedGatherOperatorOrBuilder`
Returns:
  The level.

#### setLevel

    public PlanProtocol.OrderedGatherOperator.Builder setLevel​(PlanProtocol.GatherLevel value)

`.xg.db.sqlPlans.GatherLevel level = 3;`

Parameters:
  `value` - The level to set.
Returns:
  This builder for chaining.

#### clearLevel

    public PlanProtocol.OrderedGatherOperator.Builder clearLevel()

`.xg.db.sqlPlans.GatherLevel level = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.OrderedGatherOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.OrderedGatherOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OrderedGatherOperator.Builder>`